"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
var Router_1 = require("./Router");
var Config_1 = require("./Services/Config");
var Path_1 = require("./Services/Path");
var http = require('http');
var port = process.env.PORT;
var App = /** @class */ (function () {
    function App() {
        this.pathService = new Path_1.PathService(process.cwd());
        this.configService = new Config_1.ConfigService(this.pathService.configPath());
        this.server = http.createServer(function (req, res) {
            res.statusCode = 200;
            res.setHeader('Content-Type', 'text/html');
            Router_1.router.dispatch(req, res);
        });
    }
    App.prototype.run = function () {
        this.server.listen(port, function () {
            console.log("Server running at port " + port);
        });
    };
    return App;
}());
exports.App = App;
